---
displayed_sidebar: homepage
---

import ParameterTypes from "@site/src/components/ParameterTypes"

# AdminStockLocationsRes

 **AdminStockLocationsRes**: `Object`

The stock location's details.

## Type declaration

<ParameterTypes parameters={[
  {
    "name": "stock_location",
    "type": "[StockLocationExpandedDTO](medusa.StockLocationExpandedDTO.mdx)",
    "description": "Stock location details.",
    "optional": false,
    "defaultValue": "",
    "expandable": false,
    "children": [
      {
        "name": "sales_channels",
        "type": "`any`[]",
        "description": "The associated sales channels.",
        "optional": true,
        "defaultValue": "",
        "expandable": false,
        "children": []
      }
    ]
  }
]} />
